<!doctype html>

<html>
  <head>
    <meta charset="utf-8">
    <title>&lt;webuni-card> Demo</title>
    <script type="module" src="../webuni-card.js"></script>
    <script type="module" src="../webuni-list.js"></script>
    <script type="module" src="../webuni-list2.js"></script>
    <style>
    h1 {
      text-decoration: underline;
    }
    .container {
      display: flex;
    }
    webuni-card {
      width: 33%;
      margin: 10px;
    }
    webuni-list, webuni-list2 {
      margin: 10px auto;
    } 
    </style>
  </head>
  <body>
    <h1>Learning WebComponents</h1>
    <div class="container">
      <webuni-card title="Egységbezárás">
        <p>A web komponensek csak és kizárólag saját DOM fájuk felépítéséért és stílusozásáért felelnek, ezek viszont kívülről nem módosíthatók.</p>
        <button>Kattints, ha tetszik az egységbezárás</button>
      </webuni-card>
      <webuni-card title="Újrafelhasználhatóság">
        <p>Az elkészített web komponenseket bármilyen más web alkalmazásban felhasználhatjuk, használt JavaScript könyvtártól, és keretrendszertől függetlenül</p>
        Példák, hogy milyen alkalmazásban használhatod újra:
        <ul>
          <li>React</li>
          <li>Angular</li>
          <li>Vue</li>
          <li>...</li>
        </ul>
      </webuni-card>
      <webuni-card title="Rugalmasság">
        <p>A web komponensek tartalma property-ken és slot-okon keresztül kívülről könnyedén testreszabható.</p>
        <h1>Ez egy kívülről injektált tartalom</h1>
      </webuni-card>
    </div>
    <webuni-list title="Dobogó" item1="Verstappen" item2="Hamilton" item3="Bottas"></webuni-list>
    <webuni-list2 title="Dobogó">
      <div slot="item1" style="color: blue">Verstappen</div>
      <div slot="item2" style="color: turquoise">Hamilton</div>
      <div slot="item3" style="color: turquoise">Bottas</div>
    </webuni-list2>
  </body>
</html>
